Summary:     An rrdtool frontend written with PHP/MySQL
Name:        cacti
Version:     0.8.6c
Release:     7.pp
License:     GPL
Group:       Network/Monitoring
Source0:     http://www.raxnet.net/downloads/%{name}-%{version}.tar.gz
Source1:     http://www.raxnet.net/downloads/%{name}-cactid-0.8.6d.tar.gz
Source2:     %{name}.crond
Patch0:      cactid_logging.patch
Patch1:      cactid_logging2.patch
Patch2:      http://www.cacti.net/downloads/patches/%{version}/rrd_fetch_negative_numbers.patch
Patch3:      http://www.cacti.net/downloads/patches/%{version}/no_auth_no_graphs_in_tree_bug.patch
Patch4:      http://www.cacti.net/downloads/patches/%{version}/device_create_multiple_graphs.diff
URL:         http://www.raxnet.net/products/%{name}/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    perl apache php >= 4.2 rrdtool mysql-server net-snmp-utils
Requires:    vixie-cron glibc net-snmp openssl097 zlib
Provides:    %{name}.pp
Prereq:      /bin/bash /bin/grep /bin/chown /usr/sbin/groupadd /usr/sbin/useradd
Prereq:      /usr/bin/install
BuildPrereq: glibc-devel mysql-devel net-snmp-devel openssl097-devel
BuildPrereq: zlib-devel
BuildArch:   noarch
ExclusiveOS: linux

%description
Cacti is a complete frontend to rrdtool. It stores all of the nessesary
information to create graphs and populate them with data in a MySQL
database. The frontend is completely PHP driven. Along with being able
to maintain Graphs, Data Sources, and Round Robin Archives in a data-
base, cacti also handles the data gathering. There is SNMP support for
those used to creating traffic graphs with MRTG.


%package cactid
Summary:     A fast poller for Cacti
Group:       Network/Monitoring
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-cactid.pp
BuildArch:   i386

%description cactid
This package contains the cactid poller for Cacti. It is a fast replacement
for the default cmd.php poller.


%prep
%setup -q -a 1
mv %{name}-cactid-0.8.6d cactid
#%patch0 -p1
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
for file in `find . -type f -exec fgrep -l /bin/perl {} \;`; do
   cp -f $file tmpfile
   sed -e 's+#!/user/local/bin/perl+#!/usr/bin/perl+g' \
       -e 's+#!/usr/local/bin/perl+#!/usr/bin/perl+g' \
       -e 's+#!/bin/perl+#!/usr/bin/perl+g' tmpfile > $file
   rm -f tmpfile
done

# Build cactid
export CFLAGS="$RPM_OPT_FLAGS -I/usr/kerberos/include"
cd cactid
./configure \
	--prefix=/usr            \
	--sysconfdir=/etc        \
	--localstatedir=/var     \
	--mandir=/usr/share/man
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/var/httpd/htdocs/cacti/export
chmod a-x scripts/*
for dir in docs images include install lib log resource rra scripts; do
   cp -rp $dir $RPM_BUILD_ROOT/var/httpd/htdocs/cacti
done
cp -p *.php $RPM_BUILD_ROOT/var/httpd/htdocs/cacti
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.d/cacti

# Install cactid
cd cactid
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install
install -m 640 cactid.conf $RPM_BUILD_ROOT/etc
rm -rf $RPM_BUILD_ROOT/usr/include


%post
if ! grep cacti /etc/group > /dev/null 2>&1; then
   /usr/sbin/groupadd cacti > /dev/null 2>&1
fi
if ! grep cacti /etc/passwd > /dev/null 2>&1; then
   /usr/sbin/useradd -g cacti -G cacti -d /var/httpd/htdocs/cacti \
        -r -s /dev/null cacti > /dev/null 2>&1
fi
chown -R cacti:cacti /var/httpd/htdocs/cacti/rra
chown -R cacti:cacti /var/httpd/htdocs/cacti/export
chown -R cacti:cacti /var/httpd/htdocs/cacti/log


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE README *.sql
%doc %dir docs
%config(noreplace) %attr(755,root,root) /etc/cron.d/cacti
%dir /var/httpd/htdocs/cacti
%config /var/httpd/htdocs/cacti/*

%files cactid
%defattr(-,root,root)
%doc cactid/AUTHORS cactid/CHANGELOG cactid/COPYING cactid/INSTALL
%doc cactid/NEWS cactid/README*
%config(noreplace) %attr(640,root,cacti) /etc/*.conf
/usr/bin/*


%changelog
* Tue Jan 25 2005 peter.pramberger@member.fsf.org
- new version 0.8.6c
- new cactid version 0.8.6d

* Thu Oct 14 2004 peter.pramberger@member.fsf.org
- new version 0.8.6b

* Thu Aug 26 2004 peter.pramberger@member.fsf.org
- added cactid to package

* Tue May 18 2004 peter.pramberger@member.fsf.org
- cacti now uses net-snmp

* Fri Apr 09 2004 peter.pramberger@member.fsf.org
- new version 0.8.5a

* Wed Feb 03 2004 peter.pramberger@member.fsf.org
- new version 0.8.5
- added some patches

* Thu Nov 27 2003 peter.pramberger@member.fsf.org
- new version 0.8.4

* Thu Feb 06 2003 peter.pramberger@member.fsf.org
- created

